import type { SmartAi } from './classes.smartai.js';
import * as plugins from './plugins.js';

export class TTS {
  public static async createWithOpenAi(smartaiRef: SmartAi): Promise<TTS> {
    return new TTS(smartaiRef);
  }

  // INSTANCE
  smartaiRef: SmartAi;

  constructor(smartairefArg: SmartAi) {
    this.smartaiRef = smartairefArg;
  }
}